A JBoss Project
Red Hat

open source data grids

JBoss Application Server, JBossCache and JGroups Compatibility Matrix

JBoss Application Server + JBoss Cache
JBoss Application Server Ships with JBoss Cache Runs With JBoss Cache
3.2.7 1.2  
3.2.8, 3.2.8.SP1 1.2.2  
4.0.1, 4.0.1.SP1 1.2  
4.0.2 1.2.2 1.2.4.x
4.0.3, 4.0.3.SP1 1.2.3 1.2.3.1 , 1.2.4.x, 1.3.0.SP2, 1.3.0.x, 1.4.0.GA*, 1.4.x*
4.0.4.GA 1.2.4.SP2 1.3.0.x, 1.4.0.GA, 1.4.x
4.0.5.GA 1.4.0.SP1 1.4.0.x, 1.4.1.SP1, 1.4.1.SP2, 1.4.1.SP3, 1.4.1.SP4**, 1.4.1.SP5**, 1.4.1.SP6**, 1.4.1.SP7**, 1.4.1.SP8**, 1.4.1.SP9**
4.2.0.GA 1.4.1.SP3 1.4.1.SP4, 1.4.1.SP5, 1.4.1.SP6, 1.4.1.SP7, 1.4.1.SP8, 1.4.1.SP9
4.2.1.GA 1.4.1.SP3 1.4.1.SP4, 1.4.1.SP5, 1.4.1.SP6, 1.4.1.SP7, 1.4.1.SP8, 1.4.1.SP9
5.0.0 3.0.1  
*Note: for JBoss AS 4.0.3SP1 (and earlier) to run with JBoss Cache 1.4.0.x you need to add jboss-serialization.jar to JBOSS_HOME/server/all/lib
**Note: upgrading to these JBoss Cache versions within JBoss AS 4.0.x requires JGroups to be upgraded to 2.2.9 or higher

JBoss Cache + JGroups
JBoss Cache Ships with JGroups Runs with JGroups
1.0 2.2.1  
1.01, 1.02 2.2.3  
1.1, 1.1.1 2.2.6  
1.2.0 2.2.7 2.2.8, 2.2.9.x
1.2.1 2.2.7 2.2.8, 2.2.9.x
1.2.2 2.2.7 2.2.8, 2.2.9.x
1.2.3 2.2.8 2.2.7.x, 2.2.9.1, 2.2.9.x
1.2.4, 1.2.4.SP1, 1.2.4.SP2 2.2.8 2.2.7.x, 2.2.9.1, 2.2.9.x, 2.3.x
1.3.0, 1.3.0.SP1, 1.3.0.SP2 2.2.8 2.2.7.x, 2.2.9.x, 2.3.x, 2.4.x
1.4.0, 1.4.0.SP1 2.2.9.2 2.2.7.x, 2.2.9.x, 2.3.x, 2.4.x
1.4.1, 1.4.1.SP1, 1.4.1.SP2, 1.4.1.SP3 2.4.1 2.2.7.x, 2.2.8, 2.2.9.x, 2.3.x
1.4.1.SP4, 1.4.1.SP5, 1.4.1.SP6, 1.4.1.SP7, 1.4.1.SP8 2.4.1 2.2.9.x, 2.3.x
2.0.0 2.5.0  
2.1.0 2.6.2  
2.1.1 2.6.2  
2.2.0 2.6.2  
2.2.1 2.6.5  
3.0.0 2.6.7  
3.0.1 2.6.7  
3.0.2 2.6.7  

 

JBoss Application Server + JGroups
JBoss Application Server Ships with JGroups Runs With JGroups
3.2.2 2.2.0  
3.2.3 2.2.0  
3.2.4 2.2.4  
3.2.5 2.2.4  
3.2.6.RC1 2.2.5  
3.2.6 2.2.7 2.2.8, 2.2.9.x
3.2.7 2.2.7 2.2.8, 2.2.9.x
3.2.8, 3.2.8.SP1 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.x
4.0.0 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.x
4.0.1, 4.0.1.SP1 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.x
4.0.2 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.x, 2.3.x, 2.4.0**, 2.4.x**
4.0.3, 4.0.3.SP1 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.2 , 2.2.9.x, 2.3.x, 2.4.x**
4.0.4.GA 2.2.7 2.2.8, 2.2.9 , 2.2.9.1 , 2.2.9.2 , 2.2.9.x, 2.3.x, 2.4.x**
4.0.5.CR1 2.2.7 2.2.8, 2.2.9.x, 2.3.x, 2.4.x**
4.0.5.GA 2.2.7.SP1 2.2.7, 2.2.8, 2.2.9.x, 2.3.x, 2.4.x
4.2.0.GA 2.4.1.SP1  
4.2.1.GA 2.4.1.SP3  
5.0.0 2.6.7  
**Note: Use of JGroups 2.4 or later with these JBoss AS versions requires starting JBoss with -Djgroups.marshalling.compatible=true

 

JGroups Compatibility
JGroups version API compatible to Binary compatible to Reason for binary incompatibility
2.2.7      
2.2.8 2.2.7    
2.2.9 2.2.7, 2.2.8    
2.2.9.1 2.2.7, 2.2.8, 2.2.9.x 2.2.9.x  
2.2.9.2 2.2.7, 2.2.8, 2.2.9.x 2.2.9.x  
2.2.9.SP3 2.2.7, 2.2.8, 2.2.9.x 2.2.9.x  
2.2.9.SP4 2.2.7, 2.2.8, 2.2.9.x 2.2.9.x  
2.3.x 2.2.7, 2.2.8, 2.2.9.x 2.3.x AUTH header, STATE_TRANSFER.StateHeader?
2.4.x 2.2.7, 2.2.8, 2.2.9.x, 2.3.x 2.4.x  

 

* red denotes combinations that have been certified by QA
* gray italic denotes versions not yet released
'.x' denotes final or production releases only which are GA and SP releases. It does not include Alpha, Beta or CR releases. For example, JBossCache 1.4.0.x only includes 1.4.0.GA and 1.4.0.SP1, but neither 1.4.0.Alpha, 1.4.0.Beta, 1.4.0.Beta2, 1.4.0.CR1 nor 1.4.0.CR2.